Bug 824267 - [abrt] linphone-3.5.2-3.fc17: __GI_raise: Process /usr/bin/linphone was killed by signal 6 (SIGABRT)
[abrt] linphone-3.5.2-3.fc17: __GI_raise: Process /usr/bin/linphone was kille...
Status: CLOSED DUPLICATE of bug 833458
Product: Fedora
Classification: Fedora
Component: linphone (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
abrt_hash:70378fb2ac38f96643f74dc0e74...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 02:02 EDT by Maël Lavault
Modified: 2012-06-28 04:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-28 04:10:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (15.17 KB, text/plain)
2012-05-23 02:02 EDT, Maël Lavault
no flags Details
File: maps (39.63 KB, text/plain)
2012-05-23 02:02 EDT, Maël Lavault
no flags Details
File: dso_list (8.23 KB, text/plain)
2012-05-23 02:02 EDT, Maël Lavault
no flags Details

  None (edit)
Description Maël Lavault 2012-05-23 02:02:19 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        linphone
comment:        Unable to launch linphone
crash_function: __GI_raise
executable:     /usr/bin/linphone
kernel:         3.3.4-5.fc17.x86_64
pid:            1765
pwd:            /home/moimael
remote_result:  NOTFOUND
time:           mer. 23 mai 2012 07:54:07 CEST
uid:            1000
username:       moimael
var_log_messages: May 23 07:54:07 Stan abrt[1767]: Saved core dump of pid 1765 (/usr/bin/linphone) to /var/spool/abrt/ccpp-2012-05-23-07:54:07-1765 (2473984 bytes)

backtrace:      Text file, 15535 bytes
dso_list:       Text file, 8426 bytes
maps:           Text file, 40577 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/moimael/2

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x35965 raise libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x37118 abort libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7568b __libc_message libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x1097e7 __fortify_fail libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x1079a0 __chk_fail libc.so.6 -
:6aff723f98f7ad40923b72073ac640ae43cd6a45 0x23793 - libcommoncpp.so.5 -
:6aff723f98f7ad40923b72073ac640ae43cd6a45 0x23f18 ost::IPV4Host::IPV4Host(char libcommoncpp.so.5 -
:6aff723f98f7ad40923b72073ac640ae43cd6a45 0x200e1 - libcommoncpp.so.5 -
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38 0xee26 call_init.part.0 ld-linux-x86-64.so.2 -
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38 0xeee0 _dl_init_internal ld-linux-x86-64.so.2 -
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38 0x156a _dl_start_user ld-linux-x86-64.so.2 -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=Stan
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=485298ca8d26dbad361dab5200000006-1337752329.843163-1119023192
:GNOME_KEYRING_CONTROL=/run/user/moimael/keyring-W0iy5c
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=moimael
:USERNAME=moimael
:MAIL=/var/spool/mail/moimael
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/moimael/.local/bin:/home/moimael/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/moimael
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1203
:LANG=fr_FR.utf8
:GDM_LANG=fr_FR.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/moimael
:SHLVL=1
:LOGNAME=moimael
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-6fzNG0I0Fk,guid=569084b8a365af09b1e1f44f00000014
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/moimael
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-moimael-EPCcYm/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1210,unix/unix:/tmp/.ICE-unix/1210
:GPG_AGENT_INFO=/run/user/moimael/keyring-W0iy5c/gpg:0:1
:SSH_AUTH_SOCK=/run/user/moimael/keyring-W0iy5c/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-linphone.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1765

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 29347                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       29347                29347                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/moimael/.xsession-errors
:pos:	43601
:flags:	0102002
:2:/home/moimael/.xsession-errors
:pos:	43601
:flags:	0102002

smolt_data:
:
:
:Général
:=================================
:UUID: f09b3c5a-1456-434b-80e9-32a3f0bacdad
:SE: Fedora release 17 (Beefy Miracle)
:Niveau d'exécution par défaut: Unknown
:Langue: fr_FR.utf8
:Plateforme: x86_64
:BogoMIPS: 4522.09
:Fabricant du processeurs: GenuineIntel
:Modèle de processeur: Intel(R) Core(TM) i3 CPU       M 350  @ 2.27GHz
:Stepping du processeur: 5
:Famille de processeur: 6
:Modèle du processeur: 37
:Nombre de processeurs: 4
:Vitesse du processeur: 2266
:Mémoire du système: 3687
:Swap du système: 5727
:Fabricant: TOSHIBA
:Système: Satellite R630 PT31LE-00M00EFR
:Type d'ordinateur: Notebook
:Noyau: 3.3.4-5.fc17.x86_64
:SELinux activé: 0
:Stratégie SELinux: targeted
:SELinux strict: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Périphériques
:=================================
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:4473:1) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15145:4473:1) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15113:4473:1) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4473:1) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:4331:4473:1) pci, e1000e, ETHERNET, 82577LC Gigabit Network Connection
:(32902:15174:4473:1) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:(5348:18215:5199:29045) pci, bcma-pci-bridge, NETWORK, BCM4313 802.11b/g/n Wireless LAN Controller
:(32902:15164:4473:1) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:9288:4473:1) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15204:4473:1) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:70:4473:7) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15170:4473:1) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4473:1) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15190:4473:1) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15156:4473:1) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(4480:59426:4473:1) pci, sdhci-pci, BASE, MMC/SD Host Controller
:
:
:Informations sur le système de fichiers
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_stan-lv_root / ext4 4096 4096 13092026 10358440 10227418 3276800 3072642 3072642
:/dev/sda2 /boot ext4 1024 1024 508745 424368 398768 128016 127642 127642
:/dev/mapper/vg_stan-lv_home /home ext4 4096 4096 16527284 2157409 1329608 4145152 4075697 4075697
:

xsession_errors:
:*** buffer overflow detected ***: linphone terminated
:00400000-00429000 r-xp 00000000 fd:01 656554                             /usr/bin/linphone
:00628000-00629000 r--p 00028000 fd:01 656554                             /usr/bin/linphone
:00629000-0062b000 rw-p 00029000 fd:01 656554                             /usr/bin/linphone
:0082a000-0083b000 rw-p 0002a000 fd:01 656554                             /usr/bin/linphone
:327fc00000-327fc48000 r-xp 00000000 fd:01 919234                         /usr/lib64/liblinphone.so.4.0.0
:327fc48000-327fe47000 ---p 00048000 fd:01 919234                         /usr/lib64/liblinphone.so.4.0.0
:327fe47000-327fe48000 r--p 00047000 fd:01 919234                         /usr/lib64/liblinphone.so.4.0.0
:327fe48000-327fe4a000 rw-p 00048000 fd:01 919234                         /usr/lib64/liblinphone.so.4.0.0
:*** buffer overflow detected ***: linphone terminated
:00400000-00429000 r-xp 00000000 fd:01 656554                             /usr/bin/linphone
:00628000-00629000 r--p 00028000 fd:01 656554                             /usr/bin/linphone
:00629000-0062b000 rw-p 00029000 fd:01 656554                             /usr/bin/linphone
:0082a000-0083b000 rw-p 0002a000 fd:01 656554                             /usr/bin/linphone
:327fc00000-327fc48000 r-xp 00000000 fd:01 919234                         /usr/lib64/liblinphone.so.4.0.0
:327fc48000-327fe47000 ---p 00048000 fd:01 919234                         /usr/lib64/liblinphone.so.4.0.0
:327fe47000-327fe48000 r--p 00047000 fd:01 919234                         /usr/lib64/liblinphone.so.4.0.0
:327fe48000-327fe4a000 rw-p 00048000 fd:01 919234                         /usr/lib64/liblinphone.so.4.0.0
:*** buffer overflow detected ***: linphone terminated
:00400000-00429000 r-xp 00000000 fd:01 656554                             /usr/bin/linphone
:00628000-00629000 r--p 00028000 fd:01 656554                             /usr/bin/linphone
:00629000-0062b000 rw-p 00029000 fd:01 656554                             /usr/bin/linphone
:7f5915dd3000-7f5915e1b000 r-xp 00000000 fd:01 919003                     /usr/lib64/liblinphone.so.4.0.0
:7f5915e1b000-7f591601a000 ---p 00048000 fd:01 919003                     /usr/lib64/liblinphone.so.4.0.0
:7f591601a000-7f591601b000 r--p 00047000 fd:01 919003                     /usr/lib64/liblinphone.so.4.0.0
:7f591601b000-7f591601d000 rw-p 00048000 fd:01 919003                     /usr/lib64/liblinphone.so.4.0.0
:*** buffer overflow detected ***: linphone terminated
:00400000-00429000 r-xp 00000000 fd:01 656554                             /usr/bin/linphone
:00628000-00629000 r--p 00028000 fd:01 656554                             /usr/bin/linphone
:00629000-0062b000 rw-p 00029000 fd:01 656554                             /usr/bin/linphone
:7f6b2c019000-7f6b2c061000 r-xp 00000000 fd:01 919003                     /usr/lib64/liblinphone.so.4.0.0
:7f6b2c061000-7f6b2c260000 ---p 00048000 fd:01 919003                     /usr/lib64/liblinphone.so.4.0.0
:7f6b2c260000-7f6b2c261000 r--p 00047000 fd:01 919003                     /usr/lib64/liblinphone.so.4.0.0
:7f6b2c261000-7f6b2c263000 rw-p 00048000 fd:01 919003                     /usr/lib64/liblinphone.so.4.0.0
Comment 1 Maël Lavault 2012-05-23 02:02:31 EDT
Created attachment 586256 [details]
File: backtrace
Comment 2 Maël Lavault 2012-05-23 02:02:34 EDT
Created attachment 586257 [details]
File: maps
Comment 3 Maël Lavault 2012-05-23 02:02:36 EDT
Created attachment 586258 [details]
File: dso_list
Comment 4 Xavion 2012-05-31 20:12:38 EDT
This problem is also occurring on Arch Linux.  I created a bug report about it over a week ago here: https://bugs.archlinux.org/task/29953

I then posted a message to the Linphone users' mailing list.  The thread can be viewed here: http://lists.nongnu.org/archive/html/linphone-users/2012-05/msg00056.html
Comment 5 Xavion 2012-05-31 21:14:04 EDT
Okay, I've figured out what needs to be done.  Using the Git versions of 'libzrtpcpp' and 'ortp' makes Linphone work again (on Arch Linux).
Comment 6 Egon Kastelijn 2012-06-21 15:09:52 EDT
I started linphone

backtrace_rating: 4
Package: linphone-3.5.2-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Theophanis Kontogiannis 2012-06-22 08:09:41 EDT
The problem start after upgrading to F17. The program never starts but always crashes.

backtrace_rating: 4
Package: linphone-3.5.2-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 nucleo 2012-06-22 20:34:28 EDT
(In reply to comment #5)
> Okay, I've figured out what needs to be done.  Using the Git versions of
> 'libzrtpcpp' and 'ortp' makes Linphone work again (on Arch Linux).

If you know commit (in ortp or libzrtpcpp) that fixes crash then I can try to backport it.
Comment 9 David Sugar 2012-06-27 06:09:37 EDT
There is a commoncpp2 issue now resolved in bug 833458.  That issue is 64 bit architecture specific.
Comment 10 nucleo 2012-06-28 04:10:57 EDT

*** This bug has been marked as a duplicate of bug 833458 ***

Note You need to log in before you can comment on or make changes to this bug.